/*
 *                            N E X T C O D E . H
 *
 *  Header file for NEXTCODE.C, a module in EXPAND.  EXPAND is a file
 *  maintenance utility to decompress files.  It is compatible with the
 *  public domain COMPRESS v4.0 by Spencer W. Thomas, et al.
 *
 *-----------------------------------------------------------------------
 *  Author: Lyle V. Rains
 *      Based on the sources of COMPRESS.C v4.0 by Spencer Thomas, et al.
 *-----------------------------------------------------------------------
 *  Revision History:
 */

#ifdef NEXTCODE

  /*
   * Internal definitions for NEXTCODE.C
   */

# include <stdio.h>
# include "system.h"
# include "expand.h"

  typedef unsigned char UCHAR;

#endif


/*
 * Externally visible objects in NEXTCODE.C
 *    extern int nextcode(FILE *in, CODE * const codeptr, const int bits, const CODE highcode);
 */
extern int nextcode();
