/*-
 *      break.c
 *      Amiga BREAK signal handling
 *
 *      Thanks to Matt Dillon (dillon@postgres.berkeley.edu) for these
 *      routines, which are part of his support library.
 *
-*/

#include        <libraries/dos.h>

extern int Enable_Abort;
extern  long    SetSignal();

disablebreak()
{
    Enable_Abort = 0;
}

enablebreak()
{
    Enable_Abort = 1;
}


/*-
 * CHECKBREAK()
 *
 *      Return  1 = break pressed,
 *              0 = break not pressed
-*/

#define SBF  (SIGBREAKF_CTRL_C|SIGBREAKF_CTRL_D)

checkbreak()
{
    return (SetSignal(0L,0L) & SBF) ? 1 : 0;
}
