#include <proto/exec.h>
#include <exec/libraries.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <proto/dos.h>
#include <proto/intuition.h> /* be sure LockIBase, UnlockIBase, ViewAddress */
#include <intuition/intuitionbase.h>
#include <graphics/view.h>

/***********
/*
/* Using Lattice 5.0X : lc -v -O -cf FixIntuition
/* Blink with FixIntuition.lnk
/*
/************/
void main(void);

void main()
{
 ULONG lock;
 struct View *view;
 struct ViewPort *vp;
 
  if (!(IntuitionBase = 
   (struct IntuitionBase *)OpenLibrary("intuition.library",33L)))
    {
     exit(0);
    }
  if (IntuitionBase->LibNode.lib_Version > 35)
   {
    CloseLibrary((struct Library *)IntuitionBase);
    exit(0);
   }
  while(1)
   {
    lock = LockIBase( 4L );
    view = ViewAddress();
    for(vp=view->ViewPort;vp;vp = vp->Next)
     if (vp->Modes & VP_HIDE) vp->DHeight = 0;
    UnlockIBase(lock);
    Delay(15L);
   }
}
