/*
 * mymorerows.c
 * Marco Papa - Felsina Software
 * ...!sdcrdcf!bacall!papa
 */

#include <exec/types.h>
#include <intuition/intuition.h>

#define INTUITION_REV 1L

struct IntuitionBase *IntuitionBase;

main(argc, argv)
int argc;
char *argv[];
{
	struct Preferences *PrefBuffer;
	char *malloc();
	BYTE  rowsizechange, columnsizechange;

	IntuitionBase = (struct IntuitionBase *)OpenLibrary("intuition.library", INTUITION_REV);
	if( IntuitionBase == NULL ) {
		puts("Can't open intuition library");
		exit(TRUE);
	 }

	 PrefBuffer = (struct Preferences *) malloc((unsigned) sizeof(struct Preferences)+20);

	 GetPrefs(PrefBuffer, (long) sizeof(struct Preferences)+20);

	 if (argc>2) {
	 	rowsizechange = atoi(argv[1]);
		columnsizechange = atoi(argv[2]);

		PrefBuffer->padding[34] = rowsizechange;  /* 35 */
		PrefBuffer->padding[35] = columnsizechange; /* 64 */
		SetPrefs(PrefBuffer, (long) sizeof(struct Preferences)+20, TRUE);
	 } else {
	 	printf("current rowsizechange = %d\n", (int) PrefBuffer->padding[34]);
		printf("current columnsizechange = %d\n", (int) PrefBuffer->padding[35]);
	 }

	 free(PrefBuffer);
	 CloseLibrary(IntuitionBase);
}
