/*
 *                              M A I N . H
 *
 *  Header file for MAIN.C, a module in EXPAND, a file maintenance utility
 *  to decompress files; compatible with the public domain COMPRESS utility
 *  (Rev. 4) by Spencer W. Thomas, et al.
 *
 *-----------------------------------------------------------------------
 *  Author: Lyle V. Rains
 *-----------------------------------------------------------------------
 *  Revision History:
 */

/*
 * Externally visible definitions and objects in MAIN.C
 */

#define VERSION     "1.00"

extern char *myname;

#ifdef MAIN

  /*
   * Internal definitions for MAIN.C
   */

#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include "system.h"
#include "expand.h"

#define QUICK       0           /* Usage() paramaters                   */
#define ALL         1

#define MYNAME      "expand"     /* Default command name                 */
#define STDIN       "<stdin>"
#define STDOUT      "<stdout>"

#define BIT_MASK    0x1F        /* Maxbits field (3rd byte input)       */
#define BLOCK_MASK  0x80        /* Block compression flag (3rd byte)    */

#define U eprintf

#endif
